[OHIF-Viewers]医疗数字阅片-医学影像-安装问题

 

Installation Problem: [TypeError [ERR_INVALID_ARG_TYPE]: The "path" argument must be of type string. Receiv ed type boolean] #7985

yarn 运行问题

TypeError [ERR_INVALID_ARG_TYPE]: The "path" argument must be of type string. Received type boolean (true)
    at validateString (internal/validators.js:121:11)
    at resolve (path.js:139:9)
    at loadRcFile (C:\Users\Administrator\AppData\Roaming\npm\node_modules\yarn\lib\cli.js:56952:58)
    at C:\Users\Administrator\AppData\Roaming\npm\node_modules\yarn\lib\cli.js:56916:14
    at C:\Users\Administrator\AppData\Roaming\npm\node_modules\yarn\lib\cli.js:101331:14
    at Array.map (<anonymous>)
    at parseRcPaths (C:\Users\Administrator\AppData\Roaming\npm\node_modules\yarn\lib\cli.js:101329:78)
    at Object.findRc (C:\Users\Administrator\AppData\Roaming\npm\node_modules\yarn\lib\cli.js:101343:10)
    at getRcConfigForCwd (C:\Users\Administrator\AppData\Roaming\npm\node_modules\yarn\lib\cli.js:56915:74)
    at C:\Users\Administrator\AppData\Roaming\npm\node_modules\yarn\lib\cli.js:92694:56

 faced same issue today.
for me it was the invalid config in .yarnrc that caused this problem. I got global-folder config with value true, which was wrong. And I deleted this config and then issue fixed.

删除c:\用户\adinistrator 下的 .yarnrc就好了

gyp问题

 https://github.com/nodejs/node-gyp

npm config set msvs_version 2017

puppeteer问题

 npm i -g puppeteer

安装成功

 npm install --global --production windows-build-tools

网名:浩秦;
邮箱:root#landv.pw;
博客:landv.cnblogs.com;
只要我能控制一個國家的貨幣發行,我不在乎誰制定法律。金錢一旦作響,壞話隨之戛然而止。
posted @ 2020-07-02 23:41  landv  阅读(270)  评论(0编辑  收藏  举报